UpdateScheduleSelectorHandle (install4j API)
Description: declaration: package: com.install4j.api.test.formcomponents, interface: UpdateScheduleSelectorHandle

# Interface UpdateScheduleSelectorHandle

All Superinterfaces:
  `FormComponentHandle`

public interface UpdateScheduleSelectorHandle extends FormComponentHandle
Handle for the "Update schedule selector" form component. The Swing widget is a `JComboBox` of `com.install4j.runtime.beans.formcomponents.UpdateSchedule` enum values for selecting an auto-update schedule.

Reach this handle via `ScreenHandle.updateScheduleSelector()`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UpdateScheduleSelectorHandle`
  `assertDisabled()`
  `UpdateScheduleSelectorHandle`
  `assertEnabled()`
  `UpdateScheduleSelectorHandle`
  `assertInvisible()`
  `UpdateScheduleSelectorHandle`
  `assertSelectedSchedule(String expected)`
  Assert that the currently selected schedule equals the expected value.
  `UpdateScheduleSelectorHandle`
  `assertVisible()`
  `List<String>`
  `getSchedules()`
  All schedule labels in the drop-down, as their `toString` forms.
  `String`
  `getSelectedSchedule()`
  The selected schedule's `toString` form.
  `UpdateScheduleSelectorHandle`
  `selectSchedule(String schedule)`
  Select the schedule whose label equals the given value.

  ### Methods inherited from interface FormComponentHandle

  `getId, isEnabled, isVisible`

- ## Method Details

  - ### getSchedules

    @NotNull List<String> getSchedules()
    All schedule labels in the drop-down, as their `toString` forms.

  - ### getSelectedSchedule

    @NotNull String getSelectedSchedule()
    The selected schedule's `toString` form.

  - ### selectSchedule

    @NotNull UpdateScheduleSelectorHandle selectSchedule(@NotNull String schedule)
    Select the schedule whose label equals the given value.

  - ### assertSelectedSchedule

    @NotNull UpdateScheduleSelectorHandle assertSelectedSchedule(@NotNull String expected)
    Assert that the currently selected schedule equals the expected value.

  - ### assertEnabled

    @NotNull UpdateScheduleSelectorHandle assertEnabled()
    Specified by:
      `assertEnabled` in interface `FormComponentHandle`

  - ### assertDisabled

    @NotNull UpdateScheduleSelectorHandle assertDisabled()
    Specified by:
      `assertDisabled` in interface `FormComponentHandle`

  - ### assertVisible

    @NotNull UpdateScheduleSelectorHandle assertVisible()
    Specified by:
      `assertVisible` in interface `FormComponentHandle`

  - ### assertInvisible

    @NotNull UpdateScheduleSelectorHandle assertInvisible()
    Specified by:
      `assertInvisible` in interface `FormComponentHandle`